import { ListBladeApi } from 'tweakpane';
import * as i0 from "@angular/core";
import * as i1 from "./blade";
import * as i2 from "./debounce";
import * as i3 from "./label";
export declare class NgtTweakList<TOptionValue> {
    value: import("@angular/core").ModelSignal<TOptionValue>;
    options: import("@angular/core").InputSignal<Record<string, TOptionValue> | TOptionValue[]>;
    private blade;
    private debounce;
    private label;
    private parent;
    list: import("@angular/core").WritableSignal<ListBladeApi<TOptionValue> | null>;
    private listOptions;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtTweakList<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtTweakList<any>, "ngt-tweak-list", never, { "value": { "alias": "value"; "required": true; "isSignal": true; }; "options": { "alias": "options"; "required": true; "isSignal": true; }; }, { "value": "valueChange"; }, never, never, true, [{ directive: typeof i1.NgtTweakBlade; inputs: { "hidden": "hidden"; "disabled": "disabled"; }; outputs: {}; }, { directive: typeof i2.NgtTweakDebounce; inputs: { "debounce": "debounce"; }; outputs: {}; }, { directive: typeof i3.NgtTweakLabel; inputs: { "label": "label"; }; outputs: {}; }]>;
}
